Name:		dynagen
Version:	0.11.0
Release:	%mkrel 4
Group:		Emulators
URL:		http://dyna-gen.sourceforge.net/
Source:		http://downloads.sourceforge.net/dyna-gen/dynagen-%{version}.tar.gz
# Patch for gdynagen, shipped in gdynagen tarball, merged in dynagen svn
# http://gdynagen.sourceforge.net/
Summary:	A configuration tool the dynamips Cisco router simulator
License:	GPL
BuildArch:	noarch
Suggests:	xterm
Requires:	dynamips


%description
Dynagen is a front-end for use with the  Dynamips Cisco router emulator. It
uses an INI-like configuration file to provision Dynamips emulator networks. It
takes care of specifying the right port adapters, generating and matching up
those pesky NIO descriptors, specifying bridges, frame-relay, ATM switches,
etc. It also provides a management CLI for listing devices, suspending and
reloading instances, determining and managing idle-pc values, etc.

%prep
%setup -q
for file in `find . -type f`
do perl -pi -e 'BEGIN {exit unless -T $ARGV[0];}s/\r\n$/\n/;' $file
done

%build

%install
mkdir -p %{buildroot}/{%{_datadir}/%{name},%{_sysconfdir},%{_bindir},%{python_sitelib}}
install configspec *.py *.sh %{buildroot}/%{_datadir}/%{name}
install dynamips_lib.py %{buildroot}/%{python_sitelib}
install -m755 dynagen %{buildroot}/%{_datadir}/%{name}
install %{name}.ini %{buildroot}/%{_sysconfdir}
ln -s %{_datadir}/%{name}/%{name} %{buildroot}/%{_bindir}/%{name}

%files
%{_bindir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}.ini
%{_datadir}/%{name}
%{python_sitelib}/dynamips_lib.py*
%doc docs sample_labs README.txt dynagen.ini


%changelog
* Thu Oct 31 2013 tmb <tmb> 0.11.0-4.mga4
+ Revision: 548554
- Mageia 4 rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0.11.0-3.mga3.nonfree
+ Revision: 349203
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 kamil <kamil> 0.11.0-2.mga3.nonfree
+ Revision: 324438
- remove dynamips from suggestions

* Sat Dec 01 2012 kamil <kamil> 0.11.0-2.mga3
+ Revision: 324423
- add missing Requirement: dynamips
- tiny fixes and clean-ups of .spec

* Sat May 07 2011 dmorgan <dmorgan> 0.11.0-1.mga1
+ Revision: 95905
- imported package dynagen

